#include <bits/stdc++.h>
using namespace std;


int resenja[32][500010];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    
	int n,k,x;
	cin >> n >> k>> x;
	vector<int> v;
	for(int i=0; i<n; i++) {
		int a;
		cin >> a;
		v.push_back(a);
	}
	for(int i=0; i<n-k+1; i++) {
	    int res=0;
		for(int j=0; j<k; j++){
		    res+=x*v[i];
		}
		cout << res<< ' ';
	}
	
	return 0;
}